Kapitel 2. GIMP in Betrieb nehmen
| Teil I. Lernen Sie GIMP kennen! |

## Kapitel 2. GIMP in Betrieb nehmen

## 1. Starthilfen

Versionsgeschichte
Version $Revision: 2504 $ | 2007-09-30 | lexA

Alle aktuellen Betriebssysteme stellen Ihnen eine Oberfläche zur Verfügung, wo Sie zum Starten von Programmen lediglich auf das zugehörige Symbol doppelklicken müssen. Dies ist auch für GIMP der Fall. Alternativ können Sie es jedoch auch durch Eingabe von gimp auf der Kommandozeile starten. Sollten Sie mehrere GIMP-Versionen installiert haben, wird es nötig sein, GIMP beispielsweise explizit mit dem Kommando gimp-2.4 zu starten. Zusätzlich zu diesem Kommando können Sie verschiedene Parameter und Dateinamen angeben, um zum Beispiel mehrere Bilder gleichzeitig zu öffnen.

Außerdem können Sie bei den meisten Betriebssystemen Bilddateien mit GIMP assoziieren, so dass das Programm automatisch gestartet wird, wenn Sie eine Bilddatei „doppelklicken“.

### 1.1. Plattformverfügbarkeit

GIMP ist heutzutage eines der am weitesten verbreiteten Bildbearbeitungsprogramme und mindestens auf folgenden Plattformen verfügbar:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™ und BeOS™.

Durch den offengelegten Programmcode kann GIMP leicht auf andere Plattformen portiert werden. Besuchen Sie für weitere Informationen die GIMP-Entwicklerseite [GIMP-DEV].

### 1.2. GIMP auf Deutsch

GIMP bietet unter anderem eine komplett deutsche Oberfläche. Die Sprache, in der Sie GIMP betreiben möchten, ist abhängig von den Systemeinstellungen. Sollte eine automatische Erkennung Ihrer gewünschten Sprache fehlschlagen, ist es möglich, GIMP manuell in Ihrer bevorzugten Sprache zu starten:

Linux

  GNU/Linux : Öffnen Sie eine Konsole und geben Sie folgendes ein: `LANGUAGE=de_DE gimp` oder `LANG=de gimp`, um GIMP in Deutsch zu starten. Möchten Sie GIMP auf z.B. in Französisch starten, ersetzen Sie die Landesbezeichnung "de" durch "fr". Hintergrund: Durch `LANGUAGE=de_DE` setzen Sie eine Umgebungsvariable für das ausgeführte Programm `gimp`.

Windows XP

  Linksklick auf das Symbol Start, anschließend Rechtsklick auf den Eintrag Arbeitsplatz.

  Im erscheinenden Kontextmenü den Eintrag Eigenschaften wählen.

  Im jetzt erscheinenden Dialogfeld Systemeigenschaften die Registerkarte Erweitert auswählen, dann auf die Schaltfläche Umgebungsvariable klicken.

  Sie sehen zwei Schaltflächen mit der Aufschrift Neu. Klicken Sie auf die untere und tragen folgendes ein: Name der Variablen: `LANG` und Wert der Variablen `de, fr, en, ...`

  Wenn Sie die Spracheinstellung häufig ändern, empfiehlt sich eine Automatisierung per Skriptdatei. Öffnen Sie Notepad und geben Sie die folgenden Kommandos ein:

  set lang=fr
  cd c:\Program Files\GIMP-2.0\bin
  GIMP-2.4.exe

  Speichern Sie die Datei mit der Änderung „.bat“, beispielsweise als `GIMP-FR.BAT`. Beim Ausführen wird die entsprechende Sprache aktiviert.

Apple Mac OS X

  Öffnen Sie die Systemeinstellungen, klicken auf das Symbol Landeseinstellungen.

  Wählen Sie den Reiter Sprachen aus. Die Sprache, die Sie für GIMP bevorzugen, sollte in der Liste an erster Stelle stehen.

### 1.3. Kommandozeilenparameter

Kommandozeilenparameter können sehr nützlich sein, sind aber optional. Die folgende Liste der Parameter ist abhängig vom verwendeten Betriebssystem und der verwendeten GIMP-Version. Unter Unix-ähnlichen Betriebssystemen können Sie eine komplette Liste in der Manpage (`man gimp`) erfragen.

Um die Kommandozeilenparameter zu nutzen, müssen Sie diese beim Start von GIMP über die Kommandozeile in der folgenden Form angeben: gimp-2.4 [OPTION...] [DATEI|URI...]

-?, --help

  Eine Liste aller verfügbaren Parameter zeigen.

--help-all

  Alle Hilfeoptionen anzeigen.

--help-gtk

  GTK+-Optionen anzeigen.

-v, --version

  Versionsinformationen anzeigen und Programm beenden.

--license

  Lizenzinformationen anzeigen und Programm beenden.

--verbose

  Detaillierte Meldungen auf der Konsole zeigen.

-n, --new-instance

  Eine neue GIMP-Instanz starten.

-a, --as-new

  Bilder als neu öffnen.

-i, --no-interface

  Ohne Benutzeroberfläche starten.

-d, --no-data

  Keine Muster, Gradienten, Farbpaletten oder Pinsel öffnen. Dies ist in nicht-interaktiven Umgebungen sinnvoll, um die Startzeit zu minimieren.

-f, --no-fonts

  Keine Schriften laden.

-s, --no-splash

  Keinen Startbildschirm zeigen.

--no-shm

  Keinen gemeinsam genutzten Speicher zwischen GIMP und den Modulen verwenden.

--no-cpu-accel

  Keine speziellen Prozessorbeschleunigungen verwenden.

--session=`name`

  Ein anderes Sitzungsprofil verwenden. Der angegebene Sitzungsname wird an den Standarddateinamen (`sessionrc`) angehängt.

--gimprc=`filename`

  Ein alternatives `gimprc`-Profil verwenden. (Die Datei `gimprc` enthält Ihre Präferenzen.) Nützlich in Fällen, wo sich Pluginpfade oder Maschinenspezifikationen unterscheiden.

--system-gimprc=`filename`

  Ein alternatives Systemprofil verwenden.

-b, --batch=`commands`

  Befehle im Stapelmodus ausführen. Die Befehle werden normalerweise in Form eines Skriptes angegeben. Sollte `-` angegeben sein, werden die Kommandos von der Standardeingabe gelesen.

--batch-interpreter=`proc`

  Die Prozedur zum Abarbeiten von Befehlsabfolgen.

--console-messages

  Warnungen im Terminal statt in einem Dialog ausgeben.

--pdb-compat-mode=`mode`

  PDB-Kompatibilitätsmodus (off|on|warn).

--stack-trace-mode=`mode`

  Fehlersuche beim Absturz (never|query|always).

--debug-handlers

  Aktiviert Fehlersuchroutinen für nicht-schwerwiegende Signale.

--g-fatal-warnings

  Alle Warnungen als kritisch einstufen.

--dump-gimprc

  Eine gimprc-Datei mit den Standardeinstellungen ausgeben.

--display=`display`

  Den angegebene X-Bildschirm verwenden (nicht auf allen Systeme verfügbar).

2. Was gibt es Neues in GIMP 2.4? |  | 2. GIMP das erste Mal starten